package com.binary.weight.controller;

import com.binary.weight.entity.Order;
import com.binary.weight.entity.Response;
import com.binary.weight.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private OrderService orderService;

    // 增加订单
    @PostMapping
    public Response addOrder(@RequestBody Order order) {
        int result = orderService.addOrder(order);
        if (result > 0) {
            return new Response("ok", true, null);
        } else {
            return new Response("error", false, null);
        }
    }

    // 获取所有订单
    @GetMapping
    public Response getAllOrders() {
        List<Order> orders = orderService.getOrders();
        return Response.success(orders);
    }

    // 根据ID获取订单
    @GetMapping("/{id}")
    public Response getOrderById(@PathVariable int id) {
        Order order = orderService.getOrderById(id);

        return Response.success(order);
    }
}
