package com.binary.weight.controller;

import com.binary.weight.service.WeightService;
import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;


@RestController
@CrossOrigin
public class WeightController {

    @Resource
    private WeightService weightService;

    @GetMapping("weight")
    public void getWeight(HttpServletResponse response) throws IOException {
        response.setContentType("application/json;charset=UTF-8");
        response.setHeader("Content-Encoding", "gzip");

        response.getOutputStream().write(weightService.getWeightData());
        response.getOutputStream().flush();
    }

}
