package com.binary.weight.service;

import com.binary.weight.entity.Order;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import javax.sql.DataSource;
import java.util.List;

@Service
public class OrderService {

    private final JdbcTemplate jdbcTemplate;

    public OrderService(@Qualifier("sqlServerDataSource") DataSource sqlServerDatasource) {
        this.jdbcTemplate = new JdbcTemplate(sqlServerDatasource);
    }

    public int addOrder(Order order) {
        String sql = "INSERT INTO tbl_order (orderno, receiver, salesty, goods1, tonnage1, goods2, tonnage2, goods3, tonnage3, goods4, tonnage4, shipno, transportinfo, wharf, car_team1, cars1, car_team2, cars2, car_team3, cars3, car_team4, cars4, order_time, remark) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        return jdbcTemplate.update(sql, order.getOrderNo(), order.getReceiver(), order.getSalesTy(), order.getGoods1(), order.getTonnage1(), order.getGoods2(), order.getTonnage2(), order.getGoods3(), order.getTonnage3(), order.getGoods4(), order.getTonnage4(), order.getShipNo(), order.getTransportInfo(), order.getWharf(), order.getCarTeam1(), order.getCars1(), order.getCarTeam2(), order.getCars2(), order.getCarTeam3(), order.getCars3(), order.getCarTeam4(), order.getCars4(), order.getOrderTime(), order.getRemark());
    }

    public List<Order> getOrders() {
        String sql = "SELECT * FROM tbl_order";
        return jdbcTemplate.query(sql, new BeanPropertyRowMapper<>(Order.class));
    }

    public Order getOrderById(int id) {
        String sql = "SELECT * FROM tbl_order WHERE id = ?";
        return jdbcTemplate.queryForObject(sql, new BeanPropertyRowMapper<>(Order.class), id);
    }
}
